Taifa Identity. Docs
OpenAPI Developers

API reference

Credential actions

Management API contract View .md

3 management API operations for Credential actions.

GET/v1/me/credential-actions

Capabilities

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

POST/v1/me/credential-actions

Start

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
idempotency-keyheaderstring | nullNo
x-portal-bindingheaderstring | nullNo

Request body

application/jsonRequiredStartAction

FieldTypeRequiredDescription
actionstringYesValidation: min length 1; max length 64
reasonstringYesValidation: min length 8; max length 500

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/me/credential-actions/{intent_id}/complete

Complete

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
intent_idpathstringYes
idempotency-keyheaderstring | nullNo
x-portal-bindingheaderstring | nullNo

Request body

application/jsonRequiredFinishAction

FieldTypeRequiredDescription
callback_statusstringYesValidation: pattern ^(success|canceled|error)$

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

Popular

Browse by section